<template>
  <div class="agent">
    <div class="agent__scores">
      <div class="agent__score">
        <div class="agent__prop">
          Группа риска
        </div>
        <div class="agent__risk">
          <i :class="['icon', $options.riskColorsMap[agent.riskColor]]"></i>
        </div>
      </div>
      <div class="agent__score">
        <div class="agent__prop agent__prop--small">
          Рейтинг
        </div>
        <div class="agent__rating">
          {{agent.rating}}
        </div>
      </div>
      <div class="agent__score">
        <div class="agent__prop agent__prop--small">
          Скоринг
        </div>
        <div class="agent__rating">
          {{agent.scoring}}
        </div>
      </div>
    </div>

    <div class="agent__row">
      <div class="agent__prop">История заказов:</div>
      <div class="agent__history">
        <div class="agent__history-item">
          <i class="icon folder"></i>
          Всего заказов {{agent.participantStats.totalOrders}}
        </div>
        <div class="agent__history-item">
          <i class="icon folder"></i>
          Заказов с вами {{agent.participantStats.ownerOrders}}
        </div>
      </div>
    </div>

    <div class="agent__row">
      <div class="agent__prop agent__prop--down">Ресурсы:</div>
      <div class="agent__chips">
        <span class="agent__chip"
          v-for="resource in agent.participantStats.resources"
          :key="resource.resourceType"
        >
          {{$options.resourcesMap[resource.resourceType]}}
          {{resource.count}}
        </span>
      </div>
    </div>

    <div class="agent__row">
      <div class="agent__prop agent__prop--down">Договоры:</div>
      <div class="agent__chips">
        <div class="agent__chip"
          v-for="item in agent.participantStats.contracts"
          :key="item.uuid"
        >
          {{item.number}}         
        </div>
      </div>
    </div>

    <div class="agent__row">
      <div class="agent__prop agent__prop--down">Входит в группы:</div>
      <div class="agent__chips">
        <div class="agent__chip"
          v-for="group in agent.participantStats.groups"
          :key="group.uuid"
        >
          {{group.title}}
        </div>
      </div>
    </div>

    <div class="agent__row">
      <div class="agent__prop">Полное название:</div>
      <div class="agent__val">{{agent.fullTitle}}</div>
    </div>

    <div class="agent__row">
      <div class="agent__prop">ИНН</div>  
      <div class="agent_val">{{agent.inn}}</div>
    </div>

    <div class="agent__row">
      <div class="agent__prop">КПП</div>  
      <div class="agent_val">{{agent.kpp}}</div>
    </div>

    <div class="agent__row">
      <div class="agent__prop">ОГРН</div>  
      <div class="agent_val">{{agent.ogrn}}</div>
    </div>

    <div class="agent__row">
      <div class="agent__prop">ОКПО</div>  
      <div class="agent_val">{{agent.okpo}}</div>
    </div>

    <div class="agent__row">
      <div class="agent__prop">Юридич. адрес</div>  
      <div class="agent_val">{{agent.legalAddress}}</div>
    </div>

    <div class="agent__row">
      <div class="agent__prop">Резюме</div>  
      <div class="agent_val">—</div>
    </div>

    <div class="agent__row">
      <div class="agent__prop agent__prop--down">Рекламные материалы</div>  
      <div class="agent__chips">
<!--        <div class="agent__chip">Рекламный буклет.pdf</div>-->
<!--        <div class="agent__chip">Коммерческое_предлождение.docx</div>-->
        —
      </div>
    </div>

    <div class="agent__row">
      <div class="agent__prop agent__prop--down">География присутствия</div>  
      <div class="agent__chips">
<!--        <div class="agent__chip">Москва</div>-->
<!--        <div class="agent__chip">Московская область</div>-->
        —
      </div>
    </div>

    <div class="agent__row">
      <div class="agent__prop">Телефон</div>  
      <div class="agent_val">{{agent.phone}}</div>
    </div>

    <div class="agent__row">
      <div class="agent__prop">Эл. почта</div>  
      <div class="agent_val">
        <a :href="`mailto:${agent.email}`">{{agent.email}}</a>
      </div>
    </div>

    <div class="agent__links" v-if="role==='clicar' || role === 'moderator'">
      <router-link :to="`/logdomains/agent/${agent.uuid}`">Перейти в подробную карточку</router-link>
    </div>
  </div>
</template>

<script>
  import { mapGetters } from "vuex";

  export default {
    name: 'agentInfo',

    riskColorsMap: {
      'GREEN': 'risk-1-blue',
      'BLUE': 'risk-2-green',
      'YELLOW': 'risk-3-yellow',
      'ORANGE': 'risk-4-orange',
      'RED': 'risk-5-red',
      'BLACK': 'risk-6-black'
    },

    resourcesMap: {
      TRAILER: 'Прицепы',
      SEMITRAILER: 'Полуприцепы',
      VAN: 'Фургоны',
      CONTAINER_TRUCK: 'Контейнеровозы',
      TRACTOR: 'Тягачи',
      TRAWL: 'Тралы'
    },

    props: {
      agent: {
        type: Object,
        required: true
      }
    },

    computed: {
      ...mapGetters({
        role: 'user/role'
      })
    }
  }
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/variables";
@import "~common-components/src/static/css/mixins";

  .agent {
    font-size: 14px;
    line-height: 20px;
  }

  .agent__scores {
    display: flex;
    justify-content: space-between;
    margin-bottom: 40px;
  }

  .agent__score {
    display: flex;
  }

  .agent__prop {
    position: relative;
    min-width: 142px;
    width: 142px;
    color: $color-grey-span;

    &--small {
      width: 85px;
    }

    &--down {
      top: 4px;
    }
  }

  .agent__rating {
    font-weight: 700;
    color: $color-text-base;
  }

  .agent__row {
    display: flex;

    &:not(:last-child) {
      margin-bottom: 20px;
    }
  }

  .agent__history {
    display: flex;
  }

  .agent__history-item {
    display: flex;
    align-items: center;
    color: #007DB9;

    &:not(:last-child) {
      margin-right: 10px;
    }

    i {
      margin-right: 5px;
      font-size: 20px;
    }
  }

  .agent__chips {
    display: flex;
    flex-wrap: wrap;
    position: relative;
    color: $color-blue-navy-blue;
  }

  .agent__chip {
    padding: 7px 12px;
    margin-right: 10px;
    margin-bottom: 10px;
    border-radius: 10px;
    background-color: #C1EBFF;
    line-height: 1;
  }

  .agent__links {
    margin-top: 30px;
  }

  a {
    text-decoration: none;
    color: $color-blue-navy-blue;
  }
</style>